
Foreman - Bug #18574

No ip6 address reported when querying via /api/hosts/:host_id/interfaces/:interface_id

02/20/2017 11:58 AM - Jo Vandeginste

Status: Closed   

Priority: Low   

Assignee: Jo Vandeginste   

Category: API   

Target version: 1.14.2   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4308

  

Description

When retrieving interface information for a given host, the ip6 address is never included in the responses.

Associated revisions

Revision 71eb7ee0 - 02/21/2017 03:01 AM - Jo Vandeginste

fixes #18574 - add ip6 address to the REST api results

Revision 7afae8e0 - 03/01/2017 02:08 PM - Jo Vandeginste

fixes #18574 - add ip6 address to the REST api results

(cherry picked from commit 71eb7ee0731726d41d76b839c56db0330e895187)

History

#1 - 02/20/2017 11:59 AM - Jo Vandeginste

- Pull request https://github.com/theforeman/foreman/pull/4308 added

#2 - 02/21/2017 04:01 AM - Jo Vandeginste

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 71eb7ee0731726d41d76b839c56db0330e895187.

#3 - 02/22/2017 06:49 AM - Dominic Cleal

- translation missing: en.field_release set to 221
